WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/November 2024/30 Nov 2024

Cardiff RFC 27–10 Pontypool RFC

90 photographs Gareth Everett Saturday
Prints from £8 Order prints
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool 001
CDF_301124_GE_Cardiff_v_Pontypool_001.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool 002
CDF_301124_GE_Cardiff_v_Pontypool_002.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool 003
CDF_301124_GE_Cardiff_v_Pontypool_003.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool 004
CDF_301124_GE_Cardiff_v_Pontypool_004.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC drives through Marcus Jones of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC charges forward 005
CDF_301124_GE_Cardiff_v_Pontypool_005.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC charges forward
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC charges forward 006
CDF_301124_GE_Cardiff_v_Pontypool_006.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC charges forward
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool 007
CDF_301124_GE_Cardiff_v_Pontypool_007.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool 008
CDF_301124_GE_Cardiff_v_Pontypool_008.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Mackenzie Martin of Cardiff RFC is held 009
CDF_301124_GE_Cardiff_v_Pontypool_009.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Mackenzie Martin of Cardiff RFC is held
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 010
CDF_301124_GE_Cardiff_v_Pontypool_010.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 011
CDF_301124_GE_Cardiff_v_Pontypool_011.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 012
CDF_301124_GE_Cardiff_v_Pontypool_012.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 013
CDF_301124_GE_Cardiff_v_Pontypool_013.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 014
CDF_301124_GE_Cardiff_v_Pontypool_014.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 015
CDF_301124_GE_Cardiff_v_Pontypool_015.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 016
CDF_301124_GE_Cardiff_v_Pontypool_016.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 017
CDF_301124_GE_Cardiff_v_Pontypool_017.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock 018
CDF_301124_GE_Cardiff_v_Pontypool_018.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pontypool head coach Tom Hancock
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC coach Josh Turnbull 019
CDF_301124_GE_Cardiff_v_Pontypool_019.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC coach Josh Turnbull
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish 020
CDF_301124_GE_Cardiff_v_Pontypool_020.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish 021
CDF_301124_GE_Cardiff_v_Pontypool_021.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish 022
CDF_301124_GE_Cardiff_v_Pontypool_022.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish 023
CDF_301124_GE_Cardiff_v_Pontypool_023.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish 024
CDF_301124_GE_Cardiff_v_Pontypool_024.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish 025
CDF_301124_GE_Cardiff_v_Pontypool_025.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC head coach Dan Fish
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Super Rugbi Cymru corner flag branding 026
CDF_301124_GE_Cardiff_v_Pontypool_026.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Super Rugbi Cymru corner flag branding
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Super Rugbi Cymru corner flag branding 027
CDF_301124_GE_Cardiff_v_Pontypool_027.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Super Rugbi Cymru corner flag branding
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Super Rugbi Cymru corner flag branding 028
CDF_301124_GE_Cardiff_v_Pontypool_028.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Super Rugbi Cymru corner flag branding
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC coach Craig Everett 029
CDF_301124_GE_Cardiff_v_Pontypool_029.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Cardiff RFC coach Craig Everett
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try 030
CDF_301124_GE_Cardiff_v_Pontypool_030.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try 031
CDF_301124_GE_Cardiff_v_Pontypool_031.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try 032
CDF_301124_GE_Cardiff_v_Pontypool_032.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try 033
CDF_301124_GE_Cardiff_v_Pontypool_033.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try 034
CDF_301124_GE_Cardiff_v_Pontypool_034.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try 035
CDF_301124_GE_Cardiff_v_Pontypool_035.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC runs in to score his second try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool 036
CDF_301124_GE_Cardiff_v_Pontypool_036.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool 037
CDF_301124_GE_Cardiff_v_Pontypool_037.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool 038
CDF_301124_GE_Cardiff_v_Pontypool_038.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool 039
CDF_301124_GE_Cardiff_v_Pontypool_039.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool 040
CDF_301124_GE_Cardiff_v_Pontypool_040.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool 041
CDF_301124_GE_Cardiff_v_Pontypool_041.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Elijah Evans of Cardiff RFC is tackled by Kieran Meek of Pontypool and Joel Mahoney of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC breaks away 042
CDF_301124_GE_Cardiff_v_Pontypool_042.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC breaks away
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC breaks away 043
CDF_301124_GE_Cardiff_v_Pontypool_043.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC breaks away
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joe Goodchild of Cardiff RFC holds off Matthew Powell of Pontypool 044
CDF_301124_GE_Cardiff_v_Pontypool_044.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joe Goodchild of Cardiff RFC holds off Matthew Powell of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joe Goodchild of Cardiff RFC holds off Matthew Powell of Pontypool 045
CDF_301124_GE_Cardiff_v_Pontypool_045.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joe Goodchild of Cardiff RFC holds off Matthew Powell of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC scores his first try 046
CDF_301124_GE_Cardiff_v_Pontypool_046.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC scores his first try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC scores his first try 047
CDF_301124_GE_Cardiff_v_Pontypool_047.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Dewi Cross of Cardiff RFC scores his first try
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Harri Wilde of Cardiff RFC kicks conversion 048
CDF_301124_GE_Cardiff_v_Pontypool_048.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Harri Wilde of Cardiff RFC kicks conversion
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Harri Wilde of Cardiff RFC kicks conversion 049
CDF_301124_GE_Cardiff_v_Pontypool_049.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Harri Wilde of Cardiff RFC kicks conversion
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC is held 050
CDF_301124_GE_Cardiff_v_Pontypool_050.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC is held
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC is held 051
CDF_301124_GE_Cardiff_v_Pontypool_051.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Tom Bowen of Cardiff RFC is held
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool 052
CDF_301124_GE_Cardiff_v_Pontypool_052.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool and Dan Hill of Pontypool 053
CDF_301124_GE_Cardiff_v_Pontypool_053.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool and Dan Hill of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool and Dan Hill of Pontypool 054
CDF_301124_GE_Cardiff_v_Pontypool_054.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool and Dan Hill of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool 055
CDF_301124_GE_Cardiff_v_Pontypool_055.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Danny Southworth of Cardiff RFC takes on Morgan Allen of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC takes on Sam Cochrane of Pontypool and Jon Verrier of Pontypool 056
CDF_301124_GE_Cardiff_v_Pontypool_056.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC takes on Sam Cochrane of Pontypool and Jon Verrier of Pontypool
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC presses forward 057
CDF_301124_GE_Cardiff_v_Pontypool_057.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Craig Hudd of Cardiff RFC presses forward
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Aled Ward of Cardiff RFC looks to break 058
CDF_301124_GE_Cardiff_v_Pontypool_058.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Aled Ward of Cardiff RFC looks to break
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Aled Ward of Cardiff RFC looks to break 059
CDF_301124_GE_Cardiff_v_Pontypool_059.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Aled Ward of Cardiff RFC looks to break
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Aled Ward of Cardiff RFC looks to break 060
CDF_301124_GE_Cardiff_v_Pontypool_060.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Aled Ward of Cardiff RFC looks to break
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Sean Moore of Cardiff RFC takes the high ball 061
CDF_301124_GE_Cardiff_v_Pontypool_061.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Sean Moore of Cardiff RFC takes the high ball
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Morgan Allen of Pontypool takes on Benji Williams of Cardiff RFC 062
CDF_301124_GE_Cardiff_v_Pontypool_062.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Morgan Allen of Pontypool takes on Benji Williams of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC 063
CDF_301124_GE_Cardiff_v_Pontypool_063.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC 064
CDF_301124_GE_Cardiff_v_Pontypool_064.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC 065
CDF_301124_GE_Cardiff_v_Pontypool_065.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC 066
CDF_301124_GE_Cardiff_v_Pontypool_066.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Joel Mahoney of Pontypool is tackled by Steffan Emanuel of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Tom Harper of Cardiff RFC 067
CDF_301124_GE_Cardiff_v_Pontypool_067.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Tom Harper of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Tom Harper of Cardiff RFC 068
CDF_301124_GE_Cardiff_v_Pontypool_068.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Tom Harper of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Tom Harper of Cardiff RFC 069
CDF_301124_GE_Cardiff_v_Pontypool_069.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Tom Harper of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool is held by Sean Moore of Cardiff RFC and Ethan Phillips of Cardiff RFC 070
CDF_301124_GE_Cardiff_v_Pontypool_070.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool is held by Sean Moore of Cardiff RFC and Ethan Phillips of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool is held by Sean Moore of Cardiff RFC and Ethan Phillips of Cardiff RFC 071
CDF_301124_GE_Cardiff_v_Pontypool_071.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool is held by Sean Moore of Cardiff RFC and Ethan Phillips of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool is held by Sean Moore of Cardiff RFC and Ethan Phillips of Cardiff RFC 072
CDF_301124_GE_Cardiff_v_Pontypool_072.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Owain Leonard of Pontypool is held by Sean Moore of Cardiff RFC and Ethan Phillips of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Marc Thomas of Cardiff RFC 073
CDF_301124_GE_Cardiff_v_Pontypool_073.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Marc Thomas of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Marc Thomas of Cardiff RFC 074
CDF_301124_GE_Cardiff_v_Pontypool_074.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Marc Thomas of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Marc Thomas of Cardiff RFC 075
CDF_301124_GE_Cardiff_v_Pontypool_075.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kyan Best of Pontypool takes on Marc Thomas of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Morgan Allen of Pontypool is tackled 076
CDF_301124_GE_Cardiff_v_Pontypool_076.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Morgan Allen of Pontypool is tackled
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool takes on Harri Wilde of Cardiff RFC 077
CDF_301124_GE_Cardiff_v_Pontypool_077.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool takes on Harri Wilde of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool takes on Harri Wilde of Cardiff RFC 078
CDF_301124_GE_Cardiff_v_Pontypool_078.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool takes on Harri Wilde of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool takes on Harri Wilde of Cardiff RFC 079
CDF_301124_GE_Cardiff_v_Pontypool_079.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool takes on Harri Wilde of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool kicks the ball through 080
CDF_301124_GE_Cardiff_v_Pontypool_080.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool kicks the ball through
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool kicks the ball through 081
CDF_301124_GE_Cardiff_v_Pontypool_081.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Pat Lewis of Pontypool kicks the ball through
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded 082
CDF_301124_GE_Cardiff_v_Pontypool_082.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded 083
CDF_301124_GE_Cardiff_v_Pontypool_083.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded 084
CDF_301124_GE_Cardiff_v_Pontypool_084.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled 085
CDF_301124_GE_Cardiff_v_Pontypool_085.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled 086
CDF_301124_GE_Cardiff_v_Pontypool_086.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled 087
CDF_301124_GE_Cardiff_v_Pontypool_087.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled 088
CDF_301124_GE_Cardiff_v_Pontypool_088.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Kieran Meek of Pontypool is tackled
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Amosa Nove of Pontypool takes on Osian Darwin-Lewis of Cardiff RFC 089
CDF_301124_GE_Cardiff_v_Pontypool_089.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Amosa Nove of Pontypool takes on Osian Darwin-Lewis of Cardiff RFC
301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded 090
CDF_301124_GE_Cardiff_v_Pontypool_090.jpg · Gareth Everett301124 Cardiff RFC v Pontypool, Super Rugbi Cymru - Ryan Jones of Pontypool looks to ground the ball for a try as Dewi Cross of Cardiff RFC closes in The try was not awarded

More from around this date

Sat 30 NovZebre Parma 22-17 Ospreys Sat 30 NovCardiff Rugby 31-23 Dragons RFC Sat 30 NovCoventry City 2-2 Cardiff City Sat 30 NovSwansea City 2-2 Portsmouth Fri 29 NovGlasgow Warriors 17-15 Scarlets Fri 29 NovWales Women 1-1 Republic of Ireland Women Thu 28 NovWales Women Football Training Thu 28 NovThe New Saints 0-1 Djurgarden
Cardiff RFC 27-10 Pontypool RFC · 30 Nov 2024
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured